%define name    opennap 
%define version 0.41
%define release 1mdk

Summary: Open source Napster-like server
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://download.sourceforge.net/pub/sourceforge/opennap/%{name}-%{version}.tar.bz2
URL: http://opennap.sourceforge.net/
License: GPL 
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
OpenNap is an open source Napster-like server. Napster is a protocol for
sharing multimedia files in a distributed fashion. The server acts as a
search engine and broker for direct file transfers between clients. Group
and private chat similar to IRC is also provided. OpenNap extends the
Napster protocol to allow sharing of any media type and the ability to link
servers together.

Please note that an admin account (admin), with a password of "password" is
present in this system. You will want to read the README from this package
and change this default, as it is a security risk.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --bindir=/usr/sbin --enable-resume --enable-email --enable-version-stats

%make all

# fix cron.d script
perl -pi -e "s|/home/wolf/opennap|%{prefix}||g;" napchk
perl -pi -e "s|OPENNAPPATH/bin|OPENNAPPATH/sbin||g;" napchk

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/opennap/

# manually install binaries
install -m 755 {opennap,metaserver} $RPM_BUILD_ROOT%{_sbindir}/
install -m 755 setup $RPM_BUILD_ROOT%{_sbindir}/opennap-setup

# install init script
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m 755 opennap.init  $RPM_BUILD_ROOT%{_initrddir}/opennap

# instal cron script
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/
install -m 755 napchk \
  $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/opennap-restart

# make empty config files
for i in users servers config filter motd channels; do
	# touch $RPM_BUILD_ROOT/usr/share/opennap/$i
	install -m 644 sample.$i  \
	  $RPM_BUILD_ROOT%{_datadir}/opennap/$i
done

%clean
rm -rf $RPM_BUILD_ROOT
make distclean

%post
echo -n " * Installing server hooks ... "
/sbin/chkconfig --add opennap
echo "[done]"

echo -n " * Restarting crond ... "
/etc/rc.d/init.d/crond restart
echo "[done]"

%preun
echo -n " * Uninstalling server hooks ... "
/sbin/chkconfig --del opennap
echo "[done]"

echo -n " * Restarting crond ... "
/etc/rc.d/init.d/crond restart
echo "[done]"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO manual.* napster.txt
%{_sysconfdir}/cron.hourly/*
%{_initrddir}/opennap
%{_sbindir}/*
%dir %{_datadir}/opennap
%config(missingok) %{_datadir}/opennap/*

%changelog
* Tue Mar 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.41-1mdk
- updated to 0.41

* Mon Feb 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.40-1mdk
- Bump up to 0.40.

* Sun Feb 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.39-1mdk
- new and new and shiny open source napster server.

* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.38-2mdk
- rebuild

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.38-1mdk
- updated to 0.38

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.37-2mdk
- real 0.37 version.
- url for source.

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.37-1mdk
- used srpm from rufus t firefly :
	Mon Oct 02 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
	- v0.37-0.20001002mdk
	- updated for new configure/setup information
	- manually installed binaries so we can avoid problems
	- removed old initd script
	- added cron script, with preun and post restarts
- add macros

* Mon Jun 26 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.34-1mdk

* Fri Jun 09 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.32-1mdk
  - merged with built-in spec file
  - changed group to Networking
  - used make DESTDIR install instead of manual

* Fri May 05 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.25 (initial packaging for mandrake)
